Subject: Re: security/pam-ldap is broken??
To: Jeremy C. Reed <>
From: None <>
List: tech-pkg
Date: 12/03/2005 00:59:56
On Fri, 2 Dec 2005 11:32:19 -0800 (PST)
"Jeremy C. Reed" <> wrote:

> Then you will get same error message but now it will show the "xxx" and 
> the package name with the problem and my initials. (This patch is no fix. 
> It just helps to find missing file. It has been a while 
> since I have looked at this.)
> Let us know what you find.

===> Patching for pam-ldap-180
===> Applying pkgsrc patches for pam-ldap-180
===> Overriding tools for pam-ldap-180
pkg_info: missing package name(s)
usage: pkg_info [-BbcDdFfhIikLmNnpqRrSsVv] [-e package] [-K pkg_dbdir] [-l
prefix] pkg-name [...]
       pkg_info [-a | -u] [flags]
       pkg_info -Q variable pkg-name [pkg-name ...]
line 325: warning: Couldn't read shell's output for "/opt/pkg/sbin/pkg_info
-K . -qp  | /opt/pkg/bin/nbsed  -e "s,^[^/]*,,;q" -e "s,xxx"solaris-pam",jcr,""
===> Creating toolchain wrappers for pam-ldap-180 /bin/sh: syntax error at line
1: `*not_found' unexpected *** Error code 2

bmake: stopped in /opt/pkgsrc-171105/security/pam-ldap
*** Error code 1

bmake: stopped in /opt/pkgsrc-171105/security/pam-ldap

So it looks like it's coming from solaris-pam, but I don't know how to fix it